@font-face {
    font-family: 'Roboto Flex';
    src: url('./fonts/RobotoFlex-Regular.woff2') format('woff2'),
        url('./fonts/RobotoFlex-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

* {
    box-sizing: border-box;
}

body {
    margin: 0px;
    position: relative;
    display: block;
    font-family: 'Roboto Flex';
    color: #4A4E54;
}

section {
    overflow: hidden;
    position: relative;
}

body::-webkit-scrollbar {
    display: none;
}

header {
    display: flex;
    justify-content: center;
    padding-top: 40px;
    position: relative;
    z-index: 2;
}

.background-clouds {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: 0;
    width: 100%;
    opacity: 25%;
    height: 100vh;
    object-fit: cover;
    object-position: 0% 0%;
    animation: top-clouds 30s linear infinite;
    animation-direction: alternate-reverse;
    z-index: -1;
}

@keyframes top-clouds {
    0% {
        object-position: 0% 0%;
    }

    100% {
        object-position: 100% 0%;
    }
}


h1 {
    text-align: center;
    max-width: 870px;
    margin-inline: auto;
    position: relative;
    line-height: 1.3;
    margin-top: 60px;
    margin-bottom: 30px;
    font-size: 54px;
}

.holder {
    width: 100%;
    display: flex;
    justify-content: center;
}

.coming-soon {
    text-align: center;
    font-size: 22px;
    font-weight: 800;
    white-space: nowrap;
    padding: 8px 15px;
    background-color: #FFDE59;
    border-radius: 4px;
    -webkit-text-stroke: 1.5px;
    letter-spacing: 1.5px;
}

.mountain {
    width: 100%;
    display: block;
}

.clouds-holder {
    position: absolute;
    bottom: 0;
    display: block;
    left: 0;
    width: 100%;
    height: 600px;
    overflow: hidden;
    
}

.clouds {
    position: absolute;
    animation: pass 30s linear infinite;
    width: auto;
    height: auto;
    object-fit: contain;
    right: -100%;
}

.cloud1 {
    bottom: -100px;
    z-index: 4;
}

.cloud2 {
    bottom: -170px;
    animation-delay: 6s;
    z-index: 2;
}

.cloud3 {
    bottom: -190px;
    animation-delay: 12s;
    z-index: 4;
}

.cloud4 {
    bottom: -200px;
    animation-delay: 18s;
    z-index: 2;
}

.cloud5 {
    bottom: -160px;
    animation-delay: 24s;
}

@keyframes pass {
    0% {
        right: -100%;
    }

    100% {
        right: 100%;
    }
}

.copyrights {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    bottom: 30px;
    z-index: 3;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    -webkit-text-stroke: 1.5px;
}

@media (max-width: 1280px) {
    .clouds {
        width: 100%;
        height: 100%;
    }
}

@media (max-width: 1024px) {
    .mountain {
        height: 100vh;
        object-fit: cover;
        object-position: top;
    }
}

@media (max-width: 991px) {
    .clouds-holder {
        bottom: -40px;
    }

    .logo {
        width: 150px;
    }

    h1 {
        font-size: 37px;
        max-width: 540px;
    }

    .coming-soon {
        font-size: 14px;
        -webkit-text-stroke: 1px;
        letter-spacing: 1px;
    }

}

@media (max-width: 550px) {
    
    h1 {
        padding-inline: 30px;
        font-size: 9.6vw;
        margin-top: 40px;
    }

    .coming-soon {
        font-size: 11px;
    }

    .copyrights {
        font-size: 12px;
        width: 100%;
        padding-inline: 15px;
        max-width: 230px;
        bottom: 15px;
    }

    .clouds {
        transform: scale(1.7);
    }

    .clouds-holder {
        bottom: -80px;
    }
}